%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A plugin for the Xfce4 panel displaying keyboard layout
Name:		xfce4-xkb-plugin
Version:	0.7.0
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.18
BuildRequires:	pkgconfig(libwnck-1.0) >= 2.12

Requires:	xfce4-panel

%description
A plugin for the Xfce4 panel displaying keyboard layout.
The plugin may be used as an indicator for the current layout
and to switch layouts.

The layouts must be defined either in XF86Config, by
using setxkbmap, or in xfce4-keyboard-settings.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/xfce4/xkb/
%{_datadir}/xfce4/panel-plugins/xkb-plugin.desktop
%{_libexecdir}/xfce4/panel-plugins/xfce4-xkb-plugin


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 523597
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.7.0-1.mga4
+ Revision: 425086
- new version 0.7.0

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4.3-4.mga3
+ Revision: 386882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 wally <wally> 0.5.4.3-3.mga3
+ Revision: 359470
- fix file list after %%_libexecdir change

* Mon May 28 2012 wally <wally> 0.5.4.3-2.mga3
+ Revision: 248740
- rebuild for new libxfce4util
- clean .spec

* Sat Jan 14 2012 wally <wally> 0.5.4.3-1.mga2
+ Revision: 196035
- new version 0.5.4.3
- fix description (Radu Cristian Fotescu)
- clean .spec
- imported package xfce4-xkb-plugin


* Tue Jun 14 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.1-1mdv2011.0
+ Revision: 685174
- update to new version 0.5.4.1

* Mon May 30 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.0-2
+ Revision: 681982
- rebuild

* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.0-1
+ Revision: 672528
- update to new version 0.5.4.0

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.3-4mdv2010.1
+ Revision: 511215
- Patch1: fix some crashes

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.5.3.3-3mdv2010.1
+ Revision: 489685
- update patch for new libxklavier

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 0.5.3.3-2mdv2010.0
+ Revision: 393442
- fix build with new libxklavier (bug #52029)

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.3-1mdv2009.1
+ Revision: 350223
- update to new version 0.5.3.3

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.2-2mdv2009.1
+ Revision: 349542
- rebuild for xfce-4.6.0

* Wed Feb 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.2-1mdv2009.1
+ Revision: 337427
- update to new version 0.5.3.2

* Mon Feb 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.1-1mdv2009.1
+ Revision: 336306
- update to new version 0.5.3.1

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3-1mdv2009.1
+ Revision: 335223
- update to new version 0.5.3

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 302158
- update to new version 0.5.2

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2mdv2009.1
+ Revision: 295036
- rebuild for new Xfce4.6 beta1

* Thu Sep 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 287980
- update to new version 0.5.1
- add missing buildrequires

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.4.3-6mdv2009.0
+ Revision: 262417
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.3-5mdv2009.0
+ Revision: 257028
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-3mdv2008.1
+ Revision: 110146
- correct buildrequires
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-2mdv2008.0
+ Revision: 30500
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 30296
- new version

